io.milvus.v2.service.partition

## Class PartitionService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.partition.PartitionService

    public class PartitionService
    extends BaseService

### Field Summary

### Fields inherited from class io.milvus.v2.service.BaseService

`convertUtils, dataUtils, rpcUtils, vectorUtils`

### Constructor Summary

Constructors
Constructor and Description
`PartitionService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Void` `createPartition(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreatePartitionReq request)`
`java.lang.Void` `dropPartition(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DropPartitionReq request)`
`java.lang.Boolean` `hasPartition(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, HasPartitionReq request)`
`java.util.List<java.lang.String>` `listPartitions(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, ListPartitionsReq request)`
`java.lang.Void` `loadPartitions(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, LoadPartitionsReq request)`
`java.lang.Void` `releasePartitions(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, ReleasePartitionsReq request)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionService

    public PartitionService()

### Method Detail

#### createPartition

    public java.lang.Void createPartition(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                          CreatePartitionReq request)

#### dropPartition

    public java.lang.Void dropPartition(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                        DropPartitionReq request)

#### hasPartition

    public java.lang.Boolean hasPartition(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                          HasPartitionReq request)

#### listPartitions

    public java.util.List<java.lang.String> listPartitions(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                           ListPartitionsReq request)

#### loadPartitions

    public java.lang.Void loadPartitions(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                         LoadPartitionsReq request)

#### releasePartitions

    public java.lang.Void releasePartitions(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                            ReleasePartitionsReq request)